## org.eclipse.m2m.atl.dsls.tcs.injector
Class TCSRuntime

    java.lang.Object
      org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime

    public class TCSRuntime

extends java.lang.Object

Nested Class Summary
`protected class` `TCSRuntime.Context`
`protected class` `TCSRuntime.RefSetting`

Constructor Summary
`TCSRuntime(ModelAdapter targetModelAdapter, ParserWrapper parserWrapper, java.util.List refSettings, java.util.Map arguments)`

Method Summary
`void` `addToContext(java.lang.Object ame, boolean addToContext)`
`java.lang.Object` `create(java.lang.String name, boolean context, boolean addToContext)`
`java.lang.Object` `createEnumLiteral(java.lang.String name)`
`int` `getNbErrors()`
`ModelAdapter` `getTargetModelAdapter()`
`boolean` `isKeepComments()`
`boolean` `isKeepNL()`
`void` `leaveContext(boolean leave)`
`void` `reportError(java.lang.Exception re)`
`void` `reportError(java.lang.String msg)`
`void` `reportProblem(java.lang.String severity, java.lang.String msg, java.lang.Object ame)`
`void` `reportProblem(java.lang.String severity, java.lang.String msg, java.lang.String location)`
`void` `reportWarning(java.lang.String msg)`
`void` `set(java.lang.Object ame, java.lang.String prop, java.lang.Object value)`
`void` `setCommentsAfter(java.lang.Object ame, java.lang.Object token)`
`void` `setCommentsBefore(java.lang.Object ame, java.lang.Object token)`
`void` `setKeepComments(boolean keepComments)`
`void` `setLastWasCreation(boolean lastWasCreation)`
`void` `setLocation(java.lang.Object ame, java.lang.String location)`
`void` `setRef(java.lang.Object object, java.lang.String propertyName, java.lang.String valueTypeName, java.lang.String keyName, java.lang.Object keyValue, java.lang.String lookIn, java.lang.String autoCreate, java.lang.String createAs, boolean importContext, java.lang.String createIn)`
`void` `setToken(java.lang.Object token)`
`java.lang.String` `unescapeString(java.lang.String s, int delimLength)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCSRuntime

    public TCSRuntime(ModelAdapter targetModelAdapter,
                      ParserWrapper parserWrapper,
                      java.util.List refSettings,
                      java.util.Map arguments)

Method Detail

### getNbErrors

    public int getNbErrors()

### getTargetModelAdapter

    public ModelAdapter getTargetModelAdapter()

  Returns:
    the targetModelAdapter

### isKeepNL

    public boolean isKeepNL()

### createEnumLiteral

    public java.lang.Object createEnumLiteral(java.lang.String name)

### create

    public java.lang.Object create(java.lang.String name,
                                   boolean context,
                                   boolean addToContext)

### leaveContext

    public void leaveContext(boolean leave)

### addToContext

    public void addToContext(java.lang.Object ame,
                             boolean addToContext)

### setLocation

    public void setLocation(java.lang.Object ame,
                            java.lang.String location)

### setCommentsBefore

    public void setCommentsBefore(java.lang.Object ame,
                                  java.lang.Object token)

### setCommentsAfter

    public void setCommentsAfter(java.lang.Object ame,
                                 java.lang.Object token)

### set

    public void set(java.lang.Object ame,
                    java.lang.String prop,
                    java.lang.Object value)

### setRef

    public void setRef(java.lang.Object object,
                       java.lang.String propertyName,
                       java.lang.String valueTypeName,
                       java.lang.String keyName,
                       java.lang.Object keyValue,
                       java.lang.String lookIn,
                       java.lang.String autoCreate,
                       java.lang.String createAs,
                       boolean importContext,
                       java.lang.String createIn)

### reportProblem

    public void reportProblem(java.lang.String severity,
                              java.lang.String msg,
                              java.lang.Object ame)

### reportProblem

    public void reportProblem(java.lang.String severity,
                              java.lang.String msg,
                              java.lang.String location)

### reportError

    public void reportError(java.lang.Exception re)

### reportError

    public void reportError(java.lang.String msg)

### reportWarning

    public void reportWarning(java.lang.String msg)

### setToken

    public void setToken(java.lang.Object token)

### unescapeString

    public java.lang.String unescapeString(java.lang.String s,
                                           int delimLength)

### setKeepComments

    public void setKeepComments(boolean keepComments)

### isKeepComments

    public boolean isKeepComments()

### setLastWasCreation

    public void setLastWasCreation(boolean lastWasCreation)

Copyright 2007 IBM Corporation and others. All Rights Reserved.